<div ng-controller="usuarioController" ng-cloak>

	<div layout="row">
		<div flex="100">
			<md-toolbar class="md-table-toolbar md-default">
				<div class="md-toolbar-tools">
					<h2 class="md-title">Usuarios</h2>
					<div class="flex" flex=""></div>
					<button class="md-icon-button md-button md-ink-ripple" type="button" ng-click="newUsuario()" aria-label="add_circle">
						<md-icon class="material-icons">add_circle</md-icon>
						<div class="md-ripple-container"></div>
					</button>
				</div>			
				<md-input-container class="md-block" flex-gt-sm>
					<label>Filtro de b&uacute;squeda</label>
					<input ng-model='textUsuariosFilter' />
				</md-input-container>
			</md-toolbar>
			<md-table-container>
				<table md-table multiple ng-model="selected" md-progress="promise">
    				<thead fix-head md-head>
      					<tr md-row>
      						<th md-column md-order-by="nombreToLower" ng-click="sortBy('nombre')">
      							<span>NOMBRE USUSARIO</span>
      						</th>
      						<th md-column md-order-by="usernameToLower" ng-click="sortBy('username')">
      							<span>USUARIO</span>
      						</th>
      						<th md-column md-order-by="usernameToLower" ng-click="sortBy('compania')">
      							<span>COMPA&Ntilde;IA USUARIO</span>
      						</th>
      					</tr>
      				</thead>
      				<tbody md-body>
      					<tr md-row md-select-id="id" md-auto-select ng-repeat="usuario in usuarios | filter: usuariosFilter | orderBy:propertyName:reverse"" ng-click="usuarioDetails(usuario.id)">
        					<td md-cell>{{usuario.nombre}}</td>
        					<td md-cell>{{usuario.username}}</td>
        					<td md-cell>{{usuario.compania.nombre}}</td>
        				</tr>
        			</tbody>
      			</table>
			</md-table-container>
		</div>
		<div style="display: none" flex="100">
			<div class="md-dialog-container" id="userDialog" flex="100">
				<md-dialog aria-label="{{dialogAction}}" flex="80">
				<md-toolbar>
					<div class="md-toolbar-tools">
						<h2>{{dialogAction}}</h2>
						<span flex></span>
						<md-button class="md-icon-button" ng-click="cancel()"> <md-icon aria-label="Cerrar">
						<i class="material-icons">clear</i></md-icon> </md-button>
					</div>
					</md-toolbar>
				<form name="usuarioForm" id="usuarioForm" novalidate class="panel panel-default" ng-submit="usuarioForm.$valid && saveUsuario(usuario)">
					
					<md-dialog-content>
					<div layout="column" flex="95">
						<md-input-container class="md-block" > 
							<label>Nombre</label> 
							<input md-maxlength="400" required name="nombre" ng-model="usuario.nombre" />

							<div ng-messages="usuarioForm.nombre.$error">
								<div ng-message="required">
									<b>Nombre</b> obligatorio.
								</div>
								<div ng-message="md-maxlength">
									El <b>Nombre</b> no debe superar los 400 caracteres.
								</div>
							</div>
						</md-input-container>
						
						<div layout-gt-sm="row">
							<md-input-container class="md-block" flex-gt-sm> 
								<label>Usuario</label> 
								<input md-maxlength="100" required name="username" ng-model="usuario.username" />

								<div ng-messages="usuarioForm.username.$error">
									<div ng-message="required">
										<b>Usuario</b> obligatorio.
									</div>
									<div ng-message="md-maxlength">
										El <b>Usuario</b> no debe superar los 100 caracteres.
									</div>
								</div>
							</md-input-container>
                  
                  			<div flex="5" hide-xs hide-sm>
                    			<!-- Spacer //-->
                  			</div>

							<md-input-container class="md-block" flex-gt-sm> 
								<label>Password</label> 
								<input md-maxlength="100" required name="password" type="password" ng-model="usuario.password" />

								<div ng-messages="usuarioForm.password.$error">
									<div ng-message="required">
										<b>Password</b> obligatorio.
									</div>
									<div ng-message="md-maxlength">
										El <b>Password</b> no debe superar los 100 caracteres.
									</div>
								</div>
							</md-input-container>
						</div>
							
						<md-input-container class="md-block" flex-gt-sm> 
							<label>Compa&ntilde;&iacute;a</label> 
							<md-select required ng-model="usuario.compania" name="compania">
								<md-optgroup label="companias"> 
									<md-option ng-value="compania" ng-repeat="compania in companias" ng-selected="isSelectedCompania(usuario, compania)">{{compania.nombre}}</md-option> 
								</md-optgroup> 
							</md-select>
							
							<div ng-messages="usuarioForm.compania.$error">
								<div ng-message="required">
									<b>Compa&ntilde;&iacute;a</b> obligatoria.
								</div>
							</div>
						</md-input-container>
					</div>
					
                  <md-input-container class="md-block" flex-gt-sm> 
                  	<p>Rol</p>

					<md-radio-group ng-model="usuario.rol"> 
						<md-radio-button default value="ROLE_USER">Normal</md-radio-button> 
						<md-radio-button value="ROLE_ADMIN">Administrador</md-radio-button>
					</md-radio-group>
                  </md-input-container>
					</md-dialog-content>

					<md-dialog-actions layout="row">
						<md-button type="submit" id="saveUsuario" class="md-raised md-primary">Guardar</md-button>
						<md-button type="button" class="md-raised md-warn" ng-click="removeUsuario(usuario)" ng-if="usuario.id">Eliminar</md-button>
					</md-dialog-actions>
				</form>
				</md-dialog>
			</div>
		</div>
	</div>

</div>
